/**
  * 其它
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admadvertslist: params => { // 广告 - 列表
    return getRequest('/adm/adverts/list', params)
  },
  admadvertsedit: params => { // 广告 - 编辑
    return getRequestNoSort('/adm/adverts/edit', params, 'loading')
  },
  admadvertsadd: params => { // 广告 - 添加
    return getRequestNoSort('/adm/adverts/add', params, 'loading')
  },
  admadvertsdel: params => { // 广告 - 删除
    return getRequestNoSort('/adm/adverts/del', params, 'loading')
  },
  admadvertsdetail: params => { // 广告 - 详情
    return getRequestNoSort('/adm/adverts/detail', params, 'loading')
  },
  admqalist: params => { // qa - 列表
    return getRequest('/adm/qa/list', params)
  },
  admqaedit: params => { // qa - 编辑
    return getRequestNoSort('/adm/qa/edit', params, 'loading')
  },
  admqaadd: params => { // qa - 添加
    return getRequestNoSort('/adm/qa/add', params, 'loading')
  },
  admqadel: params => { // qa - 删除
    return getRequestNoSort('/adm/qa/del', params, 'loading')
  },
  admqadetail: params => { // qa - 详情
    return getRequestNoSort('/adm/qa/detail', params, 'loading')
  },
  planlist: params => { // 获客意向收集
    return getRequest('/adm/plan/list', params)
  },
  plandel: params => { // 获客意向收集 删除
    return getRequest('/adm/plan/del', params)
  },
  planexport: params => { // 获客意向收集 导出
    return getRequestNoSort('/adm/plan/export', params, 'loading')
  },
  admactivityruleedit: params => { // 团购助力活动规则 编辑
    return getRequestNoSort('/adm/activity/rule/edit', params, 'loading')
  },
  admactivityruleadd: params => { // 团购助力活动规则 添加
    return getRequestNoSort('/adm/activity/rule/add', params, 'loading')
  },
  admactivityruledel: params => { // 团购助力活动规则 删除
    return getRequestNoSort('/adm/activity/rule/del', params, 'loading')
  },
  admactivityruledetail: params => { // 团购助力活动规则 详情
    return getRequestNoSort('/adm/activity/rule/detail', params, 'loading')
  },
  admactivitybuyinglaunchlist: params => { // 助力活动- 列表
    return getRequest('/adm/activity/buying/launch/list', params)
  },
  admactivitybuyinglaunchedit: params => { // 助力活动 - 标记已助力
    return getRequestNoSort('/adm/activity/buying/launch/edit', params, 'loading')
  },
  admactivitybuyingjoinlist: params => { // 助力活动- 列表参与列表
    return getRequest('/adm/activity/buying/join/list', params)
  },
  admindexrankclick: params => { //  楼盘 - 点击排行
    return getRequest('/adm/index/rank/click', params)
  },
  admindexranksearch: params => { // 楼盘 - 搜索排行
    return getRequest('/adm/index/rank/search', params)
  },
  admindexrankgzh: params => { // 楼盘 - 公众号 排行
    return getRequest('/adm/index/rank/gzh', params)
  },
  admindexrankweek: params => { // 楼盘 - 一周 排行
    return getRequest('/adm/index/rank/week', params)
  },
  admindexrankmonth: params => { // 楼盘 - 一月 排行
    return getRequest('/adm/index/rank/month', params)
  },
  admindexrankyesterday: params => { // 楼盘 - 昨天 排行
    return getRequest('/adm/index/rank/yesterday', params)
  },
  admindexranktoday: params => { // 楼盘 - 今天 排行
    return getRequest('/adm/index/rank/today', params)
  },
  admindexrank: params => { // 楼盘 - 所有 排行
    return getRequest('/adm/index/rank', params)
  },
}
